import React from 'react';
declare type SpringConfig = {
    bounce?: number;
    damping?: number;
    mass?: number;
    stiffness?: number;
    velocity?: number;
    restSpeed?: number;
    restDelta?: number;
};
declare type Props = {
    children: React.ReactNode;
    delay?: number;
    duration?: number;
    enterFrom?: 'top' | 'right' | 'bottom' | 'left';
    exitFrom?: 'top' | 'right' | 'bottom' | 'left';
    motionKey?: React.Key | null | undefined;
    ref?: React.MutableRefObject<HTMLDivElement | null>;
    spring?: boolean | Partial<SpringConfig>;
    style?: React.CSSProperties;
};
declare const MotionDiv: (props: Props) => JSX.Element;
export default MotionDiv;
