import { GroupPosition, MantineNumberSize } from '@mantine/core';
import React from 'react';
import { BreakpointName } from '../types';
declare type Props = {
    align?: React.CSSProperties['alignItems'];
    breakpoint: BreakpointName;
    children: React.ReactNode;
    grow?: boolean;
    noWrap?: boolean;
    position?: GroupPosition;
    spacing?: MantineNumberSize;
    style?: React.CSSProperties;
};
declare const StackGroup: (props: Props) => JSX.Element;
export default StackGroup;
