import { ActionIconVariant, LoaderProps, MantineNumberSize } from '@mantine/core';
import React from 'react';
import { ThemeColor } from '../types';
declare type Props = {
    children: React.ReactNode;
    className?: string;
    color: ThemeColor;
    disabled?: boolean;
    loading?: boolean;
    loaderProps?: LoaderProps;
    radius?: MantineNumberSize;
    size?: MantineNumberSize;
    style?: React.CSSProperties;
    tooltip?: React.ReactNode;
    variant?: ActionIconVariant | 'gradient';
    onClick(): void | Promise<void>;
};
declare const ThemedActionIcon: React.ForwardRefExoticComponent<Props & React.RefAttributes<HTMLButtonElement>>;
export default ThemedActionIcon;
