import { Sx } from '@mantine/core';
import React from 'react';
import { MotionConfig } from '../../types';
declare type AppContainerProps = {
    animateRoutes?: boolean | Partial<MotionConfig>;
    appName?: React.ReactNode;
    avatar?: React.ReactNode;
    closeAfterRoute?: boolean;
    displayThemeToggle?: boolean;
    drawerTitle?: React.ReactNode;
    logo?: React.ReactNode;
    headerContent?: React.ReactNode;
    navbarContent?: React.ReactNode;
    rootClassName?: string;
    rootStyles?: Sx | (Sx | undefined)[];
    headerClassName?: string;
    headerStyles?: Sx | (Sx | undefined)[];
    children: React.ReactNode;
};
declare const AppContainer: (props: AppContainerProps) => JSX.Element;
export default AppContainer;
