import { createStyles as ue, ColorSchemeProvider as me, MantineProvider as fe, useMantineTheme as x, Group as T, Switch as ge, Box as K, Text as B, Drawer as he, ScrollArea as ye, Header as ve, Burger as xe, Center as we, Title as q, Grid as W, Button as L, Divider as U, SimpleGrid as be, Collapse as Ee, Stack as J, Tooltip as j, ThemeIcon as ke, ActionIcon as Se, Card as ze } from "@mantine/core";
import { AnimatePresence as Q, motion as A } from "framer-motion";
import n, { useState as g, useMemo as u, useEffect as z, createContext as X, useRef as Ce, useContext as Te } from "react";
import { useLocation as Z, Link as Ie } from "react-router-dom";
import { NotificationsProvider as Ne, showNotification as Me, hideNotification as Pe, updateNotification as De } from "@mantine/notifications";
import Oe from "zustand";
import { v4 as Re } from "uuid";
const O = {
  xs: 0,
  sm: 576,
  md: 768,
  lg: 992,
  xl: 1200
}, M = () => {
  const [e, t] = g(600), [r, i] = g(900), a = u(() => e >= O.xl ? "xl" : e >= O.lg ? "lg" : e >= O.md ? "md" : e >= O.sm ? "sm" : "xs", [e]);
  return z(() => {
    function c() {
      i(window.innerHeight), t(window.innerWidth);
    }
    return i(window.innerHeight), t(window.innerWidth), window.addEventListener("resize", c), () => window.removeEventListener("resize", c);
  }, []), { deviceSize: a, height: r, width: e };
}, p = ue((e) => ({
  shell: {
    position: "relative",
    display: "flex",
    flexDirection: "column",
    flex: "1 1 auto"
  },
  main: {
    display: "flex",
    flexDirection: "column",
    minHeight: "fit-content"
  },
  headerContent: {
    display: "flex",
    flex: "1 1 auto",
    flexDirection: "row"
  },
  toggleContent: {
    display: "flex",
    alignItems: "center",
    justifyContent: "flex-end"
  },
  chipContent: {
    display: "flex",
    flexDirection: "row",
    alignItems: "center",
    background: "transparent",
    backgroundColor: "transparent"
  },
  smallIcon: {
    height: "1.8rem",
    width: "1.8rem"
  },
  icon: {
    height: "1.2rem",
    width: "1.2rem",
    marginLeft: "0.6rem",
    color: e.colorScheme === "dark" ? e.colors.yellow[5] : e.colors.violet[5]
  }
}));
var ee = {
  color: void 0,
  size: void 0,
  className: void 0,
  style: void 0,
  attr: void 0
}, $ = n.createContext && n.createContext(ee), v = globalThis && globalThis.__assign || function() {
  return v = Object.assign || function(e) {
    for (var t, r = 1, i = arguments.length; r < i; r++) {
      t = arguments[r];
      for (var a in t)
        Object.prototype.hasOwnProperty.call(t, a) && (e[a] = t[a]);
    }
    return e;
  }, v.apply(this, arguments);
}, Le = globalThis && globalThis.__rest || function(e, t) {
  var r = {};
  for (var i in e)
    Object.prototype.hasOwnProperty.call(e, i) && t.indexOf(i) < 0 && (r[i] = e[i]);
  if (e != null && typeof Object.getOwnPropertySymbols == "function")
    for (var a = 0, i = Object.getOwnPropertySymbols(e); a < i.length; a++)
      t.indexOf(i[a]) < 0 && Object.prototype.propertyIsEnumerable.call(e, i[a]) && (r[i[a]] = e[i[a]]);
  return r;
};
function te(e) {
  return e && e.map(function(t, r) {
    return n.createElement(t.tag, v({
      key: r
    }, t.attr), te(t.child));
  });
}
function E(e) {
  return function(t) {
    return n.createElement(Fe, v({
      attr: v({}, e.attr)
    }, t), te(e.child));
  };
}
function Fe(e) {
  var t = function(r) {
    var i = e.attr, a = e.size, c = e.title, l = Le(e, ["attr", "size", "title"]), o = a || r.size || "1em", s;
    return r.className && (s = r.className), e.className && (s = (s ? s + " " : "") + e.className), n.createElement("svg", v({
      stroke: "currentColor",
      fill: "currentColor",
      strokeWidth: "0"
    }, r.attr, i, l, {
      className: s,
      style: v(v({
        color: e.color || r.color
      }, r.style), e.style),
      height: o,
      width: o,
      xmlns: "http://www.w3.org/2000/svg"
    }), c && n.createElement("title", null, c), e.children);
  };
  return $ !== void 0 ? n.createElement($.Consumer, null, function(r) {
    return t(r);
  }) : t(ee);
}
function Be(e) {
  return E({ tag: "svg", attr: { viewBox: "0 0 24 24" }, child: [{ tag: "path", attr: { fill: "none", d: "M0 0h24v24H0z" } }, { tag: "path", attr: { d: "M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm-2 15l-5-5 1.41-1.41L10 14.17l7.59-7.59L19 8l-9 9z" } }] })(e);
}
function je(e) {
  return E({ tag: "svg", attr: { viewBox: "0 0 24 24" }, child: [{ tag: "path", attr: { fill: "none", d: "M0 0h24v24H0z" } }, { tag: "path", attr: { d: "M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm1 15h-2v-6h2v6zm0-8h-2V7h2v2z" } }] })(e);
}
function Ae(e) {
  return E({ tag: "svg", attr: { viewBox: "0 0 24 24" }, child: [{ tag: "path", attr: { fill: "none", d: "M0 0h24v24H0z" } }, { tag: "path", attr: { d: "M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm1 15h-2v-2h2v2zm0-4h-2V7h2v6z" } }] })(e);
}
function _(e) {
  return E({ tag: "svg", attr: { viewBox: "0 0 24 24" }, child: [{ tag: "path", attr: { fill: "none", d: "M0 0h24v24H0z" } }, { tag: "path", attr: { d: "M12 3a9 9 0 109 9c0-.46-.04-.92-.1-1.36a5.389 5.389 0 01-4.4 2.26 5.403 5.403 0 01-3.14-9.8c-.44-.06-.9-.1-1.36-.1z" } }] })(e);
}
function V(e) {
  return E({ tag: "svg", attr: { viewBox: "0 0 24 24" }, child: [{ tag: "path", attr: { fill: "none", d: "M0 0h24v24H0z" } }, { tag: "path", attr: { d: "M12 7c-2.76 0-5 2.24-5 5s2.24 5 5 5 5-2.24 5-5-2.24-5-5-5zM2 13h2c.55 0 1-.45 1-1s-.45-1-1-1H2c-.55 0-1 .45-1 1s.45 1 1 1zm18 0h2c.55 0 1-.45 1-1s-.45-1-1-1h-2c-.55 0-1 .45-1 1s.45 1 1 1zM11 2v2c0 .55.45 1 1 1s1-.45 1-1V2c0-.55-.45-1-1-1s-1 .45-1 1zm0 18v2c0 .55.45 1 1 1s1-.45 1-1v-2c0-.55-.45-1-1-1s-1 .45-1 1zM5.99 4.58a.996.996 0 00-1.41 0 .996.996 0 000 1.41l1.06 1.06c.39.39 1.03.39 1.41 0s.39-1.03 0-1.41L5.99 4.58zm12.37 12.37a.996.996 0 00-1.41 0 .996.996 0 000 1.41l1.06 1.06c.39.39 1.03.39 1.41 0a.996.996 0 000-1.41l-1.06-1.06zm1.06-10.96a.996.996 0 000-1.41.996.996 0 00-1.41 0l-1.06 1.06c-.39.39-.39 1.03 0 1.41s1.03.39 1.41 0l1.06-1.06zM7.05 18.36a.996.996 0 000-1.41.996.996 0 00-1.41 0l-1.06 1.06c-.39.39-.39 1.03 0 1.41s1.03.39 1.41 0l1.06-1.06z" } }] })(e);
}
function ne(e) {
  return E({ tag: "svg", attr: { viewBox: "0 0 24 24" }, child: [{ tag: "path", attr: { fill: "none", d: "M0 0h24v24H0z" } }, { tag: "path", attr: { d: "M12 8l-6 6 1.41 1.41L12 10.83l4.59 4.58L18 14z" } }] })(e);
}
function re(e) {
  return E({ tag: "svg", attr: { viewBox: "0 0 24 24" }, child: [{ tag: "path", attr: { fill: "none", d: "M0 0h24v24H0z" } }, { tag: "path", attr: { d: "M16.59 8.59L12 13.17 7.41 8.59 6 10l6 6 6-6z" } }] })(e);
}
const I = {
  brand: "cyan",
  error: "red",
  info: "grape",
  primary: "blue",
  secondary: "pink",
  success: "teal",
  warn: "yellow",
  textPrimary: "black"
}, N = {
  brand: { from: "cyan", to: "grape" },
  error: { from: "red", to: "pink" },
  info: { from: "grape", to: "indigo" },
  primary: { from: "indigo", to: "cyan" },
  secondary: { from: "pink", to: "violet" },
  success: { from: "cyan", to: "green" },
  warn: { from: "pink", to: "yellow" },
  textPrimary: { from: "black", to: "black" }
}, F = {
  autoClose: 5e3,
  limit: 5,
  position: "bottom-right",
  icons: {
    error: /* @__PURE__ */ n.createElement(Ae, null),
    info: /* @__PURE__ */ n.createElement(je, null),
    success: /* @__PURE__ */ n.createElement(Be, null)
  },
  messageWrappers: {
    error: (e) => `${S(e)}. If issue persists please contact support.`,
    info: (e) => `${S(e)}`,
    loading: (e) => `${S(e)}`,
    success: (e) => `${S(e)}`
  }
}, S = (e) => {
  let t = e.trim();
  return t = t.charAt(0).toUpperCase() + t.slice(1), [".", "!", "?"].includes(t.slice(-1)) || (t += "."), S;
}, ie = X({ bodyRef: n.createRef() }), Ge = (e) => {
  const t = Ce(null);
  return /* @__PURE__ */ n.createElement(ie.Provider, {
    value: { bodyRef: t }
  }, e.children);
}, He = () => {
  const e = Te(ie);
  if (!e)
    throw new Error("Must be used within a AppContainerContextProvider");
  return e.bodyRef;
}, ae = X({
  applyGradients: !1,
  colors: { ...I },
  colorScheme: "dark",
  gradients: { ...N },
  notify: { ...F },
  schemeOverrides: {},
  toggleColorScheme: () => {
  }
}), tt = (e) => {
  const [t, r] = g(!1), [i, a] = g({ ...I }), [c, l] = g({ ...N }), [o, s] = g({ ...F }), [d, h] = g("dark"), [k, m] = g({}), { deviceSize: y } = M(), [C, se] = g(!1), de = (P) => h(P), H = () => {
    de(d === "dark" ? "light" : "dark"), window.localStorage.setItem(e.appThemeName, d === "dark" ? "light" : "dark");
  };
  return z(() => {
    var P;
    if (r((P = e.applyGradients) != null ? P : !1), e.colors && a({ ...I, ...e.colors }), e.gradients && l({ ...N, ...e.gradients }), e.notify && s({ ...F, ...e.notify }), m(e.schemeOverrides ? { ...e.schemeOverrides } : {}), !C) {
      let D = window.localStorage.getItem(e.appThemeName);
      D || (D = window.matchMedia("(prefers-color-scheme: dark)").matches ? "dark" : "light", window.localStorage.setItem(e.appThemeName, D)), h(D === "dark" ? "dark" : "light"), se(!0);
    }
  }, [e]), /* @__PURE__ */ n.createElement(ae.Provider, {
    value: {
      applyGradients: t,
      colors: i,
      colorScheme: d,
      gradients: c,
      notify: o,
      schemeOverrides: k,
      toggleColorScheme: H
    }
  }, /* @__PURE__ */ n.createElement(me, {
    colorScheme: d,
    toggleColorScheme: H
  }, /* @__PURE__ */ n.createElement(fe, {
    theme: { colorScheme: d },
    withGlobalStyles: !0,
    withNormalizeCSS: !0
  }, /* @__PURE__ */ n.createElement(Ne, {
    autoClose: o.autoClose,
    limit: o.limit,
    position: o.position,
    containerWidth: ["xs", "sm"].includes(y) ? 300 : 440
  }, /* @__PURE__ */ n.createElement(Ge, null, C && /* @__PURE__ */ n.createElement(n.Fragment, null, e.children))))));
}, w = () => {
  const e = n.useContext(ae);
  if (e === void 0)
    throw new Error("useMantineUITheme must be within a MantineUIThemeProvider");
  return e;
}, b = (e, t, r) => t === "blue" ? e.colors.blue[r] : t === "red" ? e.colors.red[r] : t === "cyan" ? e.colors.cyan[r] : t === "dark" ? e.colors.dark[r] : t === "grape" ? e.colors.grape[r] : t === "gray" ? e.colors.gray[r] : t === "green" ? e.colors.green[r] : t === "lime" ? e.colors.lime[r] : t === "indigo" ? e.colors.indigo[r] : t === "orange" ? e.colors.orange[r] : t === "pink" ? e.colors.pink[r] : t === "teal" ? e.colors.teal[r] : t === "violet" ? e.colors.violet[r] : t === "yellow" ? e.colors.yellow[r] : e.colors.blue[r], R = () => {
  const e = x(), t = w(), r = u(() => {
    if (!t)
      return { ...I };
    if (!e)
      return { ...I };
    const i = e.colorScheme === "dark" ? 5 : 7;
    return {
      brand: b(e, t.colors.brand, i),
      error: b(e, t.colors.error, i),
      info: b(e, t.colors.info, i),
      primary: b(e, t.colors.primary, i),
      secondary: b(e, t.colors.secondary, i),
      success: b(e, t.colors.success, i),
      textPrimary: e.colorScheme === "dark" ? e.white : e.black,
      warn: b(e, t.colors.warn, i)
    };
  }, [e, t]);
  if (!t)
    throw new Error("useThemeColors must be used within a MantineUIThemeProvider");
  return r;
}, oe = () => {
  const { textPrimary: e } = R(), { toggleColorScheme: t } = w(), { deviceSize: r } = M(), { classes: i } = p(), a = x();
  return ["xs", "sm"].includes(r) ? /* @__PURE__ */ n.createElement(T, {
    align: "center",
    style: { gap: "0.4rem" }
  }, /* @__PURE__ */ n.createElement(V, {
    className: i.smallIcon,
    style: { color: a.colors.yellow[5] }
  }), /* @__PURE__ */ n.createElement(ge, {
    checked: !0,
    size: "md",
    color: a.colorScheme === "dark" ? "violet" : "yellow",
    styles: {
      root: {
        display: "flex",
        flexDirection: "row",
        alignItems: "center",
        justifyContent: "center"
      }
    },
    style: { transform: a.colorScheme === "light" ? "rotate(180deg)" : void 0 },
    onClick: () => t()
  }), /* @__PURE__ */ n.createElement(_, {
    className: i.smallIcon,
    style: { color: a.colors.violet[5] }
  })) : /* @__PURE__ */ n.createElement(K, {
    sx: {
      border: a.colorScheme === "dark" ? "1px solid #fff" : "1px solid #000",
      borderRadius: "1.2rem",
      display: "flex",
      flexDirection: "row",
      justifyContent: "space-between",
      alignItems: "center",
      padding: "0.4rem 0.8rem",
      cursor: "pointer"
    },
    onClick: () => t()
  }, /* @__PURE__ */ n.createElement(B, {
    style: { color: e }
  }, a.colorScheme === "dark" ? "Light Theme" : "Dark Theme"), a.colorScheme === "dark" && /* @__PURE__ */ n.createElement(V, {
    className: i.icon
  }), a.colorScheme === "light" && /* @__PURE__ */ n.createElement(_, {
    className: i.icon
  }));
}, G = Oe(
  (e, t) => ({
    opened: !1,
    setOpened: async (r) => {
      e({ opened: r });
    }
  })
), We = (e) => {
  const t = x(), { deviceSize: r } = M(), i = u(() => ["xs", "sm"].includes(r), [r]), [a, c] = G((l) => [l.opened, l.setOpened]);
  return /* @__PURE__ */ n.createElement(he, {
    opened: a,
    size: i ? "full" : r === "md" ? "lg" : "20vw",
    title: e.title,
    styles: {
      drawer: {
        display: "flex",
        flexDirection: "column",
        margin: "0"
      }
    },
    onClose: () => c(!1)
  }, i && /* @__PURE__ */ n.createElement("div", {
    style: { position: "relative", display: "flex", flexDirection: "column", flex: "1 1 auto", overflowY: "auto", justifyContent: "space-between", margin: "0" }
  }, /* @__PURE__ */ n.createElement("div", {
    style: { padding: "0.6rem 0.4rem", margin: "0", display: "flex", flexDirection: "column", flex: "1 1 auto", overflowY: "auto" }
  }, e.linkContent), /* @__PURE__ */ n.createElement("div", {
    style: {
      padding: "0.4rem 0rem",
      display: "flex",
      flexDirection: "row",
      alignItems: "center",
      width: "100%",
      flexWrap: "wrap",
      backgroundColor: t.colorScheme === "dark" ? t.colors.dark[8] : t.colors.gray[1],
      borderTopLeftRadius: "1rem",
      borderTopRightRadius: "1rem"
    }
  }, /* @__PURE__ */ n.createElement(T, {
    position: "apart",
    align: "center",
    style: { padding: "0.6rem 0.8rem 2rem 0.8rem", width: "100%" }
  }, e.avatar, e.displayThemeToggle && /* @__PURE__ */ n.createElement(oe, null)))), !i && /* @__PURE__ */ n.createElement(ye, {
    style: { margin: "0" }
  }, /* @__PURE__ */ n.createElement("div", {
    style: { position: "relative", margin: "0", display: "flex", flexDirection: "column", flex: "1 1 auto", overflowY: "auto", padding: "0.6rem" }
  }, e.linkContent)));
}, Ue = (e) => {
  const [t, r] = G((d) => [d.opened, d.setOpened]), { deviceSize: i } = M(), a = u(() => ["xs", "sm"].includes(i), [i]), c = x(), { classes: l } = p(), o = u(() => ({
    color: c.colorScheme === "dark" ? "#fff" : "000",
    position: "sticky",
    ...e.sx
  }), [e.sx, c]), s = u(() => a ? !!(e.avatar || e.drawerContent || e.displayThemeToggle) : e.drawerContent !== void 0, [i, e]);
  return /* @__PURE__ */ n.createElement(ve, {
    className: e.className,
    height: "fit-content",
    p: "md",
    sx: o
  }, /* @__PURE__ */ n.createElement("div", {
    style: { display: "flex", alignItems: "center", height: "100%", paddingRight: "1rem" }
  }, s && /* @__PURE__ */ n.createElement(xe, {
    opened: t,
    onClick: () => r(!t),
    size: "md",
    color: c.colorScheme === "dark" ? c.white : c.black,
    mr: "xl"
  }), e.logo, e.appName && !a && /* @__PURE__ */ n.createElement(we, null, /* @__PURE__ */ n.createElement(q, {
    order: 2,
    style: { marginLeft: "1rem" }
  }, e.appName)), /* @__PURE__ */ n.createElement(W, {
    className: l.headerContent
  }, e.headerContent), /* @__PURE__ */ n.createElement(W, {
    className: l.toggleContent
  }, e.displayThemeToggle && !a && /* @__PURE__ */ n.createElement(oe, null), e.avatar && !a && /* @__PURE__ */ n.createElement(n.Fragment, null, e.avatar))), /* @__PURE__ */ n.createElement(We, {
    avatar: e.avatar,
    displayThemeToggle: e.displayThemeToggle,
    linkContent: e.drawerContent,
    title: e.drawerTitle
  }));
}, nt = (e) => {
  const t = G((o) => o.setOpened), { pathname: r } = Z(), i = x(), a = He(), c = u(() => ({
    display: "flex",
    flexDirection: "column",
    height: "100vh",
    justifyContent: "space-between",
    width: "100%",
    backgroundColor: i.colorScheme === "dark" ? i.colors.dark[8] : i.colors.gray[1],
    ...e.rootStyles
  }), [e.rootStyles, i]), l = u(() => {
    let o = {
      initial: { opacity: 0 },
      animate: { opacity: 1 },
      exit: { opacity: 0 },
      mode: "wait",
      transition: { duration: 0.6 },
      variants: void 0
    };
    return e.animateRoutes ? typeof e.animateRoutes == "object" && (o = { ...o, ...e.animateRoutes }) : (o.initial = { opacity: 1 }, o.exit = { opacity: 1 }, o.transition = { duration: 0 }, o.mode = void 0, o.variants = void 0), o;
  }, [e.animateRoutes]);
  return z(() => {
    e.closeAfterRoute && t(!1);
  }, [r]), /* @__PURE__ */ n.createElement(K, {
    sx: c
  }, /* @__PURE__ */ n.createElement(Ue, {
    appName: e.appName,
    avatar: e.avatar,
    className: e.headerClassName,
    displayThemeToggle: e.displayThemeToggle,
    drawerTitle: e.drawerTitle,
    logo: e.logo,
    headerContent: e.headerContent,
    drawerContent: e.navbarContent,
    sx: e.headerStyles
  }), e.animateRoutes && /* @__PURE__ */ n.createElement(Q, {
    mode: l.mode
  }, /* @__PURE__ */ n.createElement(A.div, {
    key: r,
    ref: a,
    initial: l.initial,
    animate: l.animate,
    exit: l.exit,
    variants: l.variants,
    transition: l.transition,
    style: { display: "flex", flexDirection: "column", justifyContent: "flex-start", flex: "1 1 auto", overflowY: "auto", padding: "1rem" }
  }, e.children)), !e.animateRoutes && /* @__PURE__ */ n.createElement("div", {
    ref: a,
    style: { display: "flex", flexDirection: "column", justifyContent: "flex-start", flex: "1 1 auto", overflowY: "auto", padding: "1rem" }
  }, e.children));
}, Y = {
  bounce: void 0,
  damping: void 0,
  mass: void 0,
  stiffness: void 0,
  velocity: void 0,
  restSpeed: void 0,
  restDelta: void 0
}, $e = {
  bounce: 0.1,
  damping: 10,
  mass: 0.5,
  stiffness: 25,
  velocity: void 0,
  restSpeed: void 0,
  restDelta: void 0
}, rt = (e) => {
  var a, c;
  const t = u(() => {
    let l = {
      x: void 0,
      y: void 0
    };
    return e.enterFrom === "left" && (l.x = "-100vw"), e.enterFrom === "right" && (l.x = "100vw"), e.enterFrom === "top" && (l.y = "-100vh"), e.enterFrom === "bottom" && (l.y = "100vh"), l;
  }, [e.enterFrom]), r = u(() => {
    let l = {
      x: void 0,
      y: void 0
    };
    return e.exitFrom === "left" && (l.x = "-100vw"), e.exitFrom === "right" && (l.x = "100vw"), e.exitFrom === "top" && (l.y = "-100vh"), e.exitFrom === "bottom" && (l.y = "100vh"), l;
  }, [e.exitFrom]), i = u(() => e.spring ? typeof e.spring == "boolean" ? { ...$e } : { ...Y, ...e.spring } : { ...Y }, [e.spring]);
  return /* @__PURE__ */ n.createElement(A.div, {
    key: e.motionKey,
    initial: { opacity: 0, x: t.x, y: t.y },
    animate: { opacity: 1, x: 0, y: 0 },
    exit: { opacity: 0, x: r.x, y: r.y },
    style: e.style,
    transition: {
      delay: (a = e.delay) != null ? a : 0,
      duration: (c = e.duration) != null ? c : 0.4,
      ease: e.spring ? void 0 : "easeInOut",
      type: e.spring ? "spring" : "tween",
      ...i
    }
  }, e.children);
}, it = (e) => {
  const t = x(), { primary: r } = R(), { pathname: i } = Z(), a = u(() => e.exact ? i === e.path : i.toLocaleLowerCase().includes(e.path.toLocaleLowerCase()), [i, e.path, e.exact]), c = u(() => a ? r : t.colorScheme === "dark" ? t.white : t.black, [a, t]);
  return e.disabled ? /* @__PURE__ */ n.createElement(L, {
    disabled: !0,
    leftIcon: e.icon,
    variant: "subtle",
    size: e.condensed ? "sm" : "md",
    styles: (l) => ({
      inner: {
        display: "flex",
        alignItems: "center",
        justifyContent: "flex-start"
      },
      label: {
        color: c
      },
      leftIcon: {
        color: c
      }
    })
  }, e.title) : /* @__PURE__ */ n.createElement(L, {
    component: Ie,
    to: e.path,
    leftIcon: e.icon,
    variant: "subtle",
    size: e.condensed ? "sm" : "md",
    style: { width: "100%" },
    styles: (l) => ({
      inner: {
        display: "flex",
        alignItems: "center",
        justifyContent: "flex-start"
      },
      label: {
        color: c
      },
      leftIcon: {
        color: c
      }
    })
  }, e.title);
}, at = (e) => {
  var l;
  const [t, r] = g(!0), [i, a] = g(!1), { textPrimary: c } = R();
  return z(() => {
    i || (r(e.defaultState !== "collapsed"), a(!0));
  }, [e.defaultState]), /* @__PURE__ */ n.createElement(n.Fragment, null, e.displayTopDivider && /* @__PURE__ */ n.createElement(U, null), /* @__PURE__ */ n.createElement(be, {
    cols: 1,
    style: { display: "flex", flexDirection: "row", alignItems: "center", cursor: "pointer", margin: "0", padding: "0.6rem" },
    onClick: () => r(!t)
  }, t ? /* @__PURE__ */ n.createElement(ne, {
    color: c,
    size: "1.2rem"
  }) : /* @__PURE__ */ n.createElement(re, {
    color: c,
    size: "1.2rem"
  }), /* @__PURE__ */ n.createElement(B, {
    size: "sm",
    style: { marginLeft: "0.6rem", color: (l = e.titleColor) != null ? l : c }
  }, e.title)), /* @__PURE__ */ n.createElement(Ee, {
    in: t,
    style: { paddingLeft: "2rem", margin: "0" }
  }, e.children), e.displayBottomDivider && /* @__PURE__ */ n.createElement(U, null));
}, ot = (e) => {
  const { deviceSize: t } = M();
  return u(() => t === "xs" && e.breakpoint === "xs" || e.breakpoint === "sm" && ["xs", "sm"].includes(t) || e.breakpoint === "md" && ["xs", "sm", "md"].includes(t) || e.breakpoint === "lg" && ["xs", "sm", "md", "lg"].includes(t) || e.breakpoint === "xl" ? "column" : "row", [e.breakpoint, t]) === "column" ? /* @__PURE__ */ n.createElement(J, {
    align: e.position,
    justify: e.align,
    spacing: e.spacing,
    style: e.style
  }, e.children) : /* @__PURE__ */ n.createElement(T, {
    align: e.align,
    grow: e.grow,
    noWrap: e.noWrap,
    position: e.position,
    spacing: e.spacing,
    style: e.style
  }, e.children);
}, le = n.forwardRef((e, t) => {
  var s, d;
  const { colors: r, gradients: i, applyGradients: a } = w(), c = u(() => r[e.color], [e.color, r]), l = u(() => i[e.color], [e.color, i]), o = u(() => e.variant ? e.variant : a ? "gradient" : "filled", [e.variant, a]);
  return /* @__PURE__ */ n.createElement(j, {
    withArrow: !0,
    withinPortal: !0,
    disabled: e.disabled,
    label: e.tooltip
  }, /* @__PURE__ */ n.createElement(ke, {
    ref: t,
    size: (s = e.size) != null ? s : "md",
    radius: (d = e.size) != null ? d : "md",
    color: o === "gradient" ? void 0 : c,
    variant: o,
    style: e.style,
    gradient: o === "gradient" ? l : void 0
  }, e.children));
});
le.displayName = "ThemedIcon";
const ce = n.forwardRef((e, t) => {
  var d;
  const { colors: r, gradients: i, applyGradients: a } = w(), c = u(() => r[e.color], [e.color, r]), l = u(() => i[e.color], [e.color, i]), o = u(() => e.variant === "subtle" ? "subtle" : e.variant === "light" ? "light" : e.variant === "outline" ? "outline" : e.variant && ["gradient", "transparent"].includes(e.variant) ? "transparent" : "filled", [e.variant]), s = u(() => !l || e.disabled ? !1 : !!(e.variant === "gradient" || !e.variant && a), [l, e.disabled, e.variant, a]);
  return /* @__PURE__ */ n.createElement(j, {
    withArrow: !0,
    withinPortal: !0,
    label: e.tooltip,
    disabled: e.disabled
  }, /* @__PURE__ */ n.createElement(Se, {
    ref: t,
    className: e.className,
    color: c,
    disabled: e.disabled,
    size: e.size,
    radius: (d = e.radius) != null ? d : "md",
    loading: e.loading,
    loaderProps: e.loaderProps,
    variant: o,
    style: e.style,
    onClick: () => e.onClick()
  }, s && /* @__PURE__ */ n.createElement(le, {
    color: e.color,
    variant: "gradient",
    radius: e.radius,
    size: e.size,
    loading: e.loading,
    loaderProps: e.loaderProps
  }, e.children), !s && /* @__PURE__ */ n.createElement(n.Fragment, null, e.children)));
});
ce.displayName = "ThemedActionIcon";
const _e = n.forwardRef((e, t) => {
  var s;
  const { colors: r, gradients: i, applyGradients: a } = w(), c = u(() => r[e.color], [e.color, r]), l = u(() => i[e.color], [e.color, i]), o = u(() => {
    if (e.disabled)
      return "default";
    if (e.variant)
      return e.variant;
    if (a)
      return "gradient";
    if (!e.variant)
      return "filled";
  }, [e.disabled, e.variant, a]);
  return /* @__PURE__ */ n.createElement(j, {
    withArrow: !0,
    withinPortal: !0,
    disabled: e.disabled,
    label: e.tooltip
  }, /* @__PURE__ */ n.createElement(L, {
    ref: t,
    color: e.variant === "gradient" ? void 0 : c,
    disabled: e.disabled,
    gradient: o === "gradient" ? l : void 0,
    size: e.size,
    radius: (s = e.radius) != null ? s : "md",
    loading: e.loading,
    loaderProps: e.loaderProps,
    variant: o,
    uppercase: e.uppercase,
    fullWidth: e.fullWidth,
    leftIcon: e.leftIcon,
    rightIcon: e.rightIcon,
    type: e.type,
    compact: e.compact,
    loaderPosition: e.loaderPosition,
    style: e.style,
    onClick: () => e.onClick()
  }, e.children));
});
_e.displayName = "ThemedButton";
const Ve = (e) => {
  const [t, r] = g(!1), [i, a] = g(!1);
  return z(() => {
    i ? r(e === "expanded") : a(!0);
  }, [e]), { expanded: t, setExpanded: r, hasChanged: i, ExpandButton: (l) => {
    var o, s;
    return /* @__PURE__ */ n.createElement(ce, {
      className: l.className,
      color: l.color,
      radius: l.radius,
      size: l.size,
      style: l.style,
      tooltip: t ? "Collapse" : "Expand",
      variant: l.variant,
      onClick: () => r(!t)
    }, t ? /* @__PURE__ */ n.createElement(ne, {
      size: (o = l.iconSize) != null ? o : "1.2rem"
    }) : /* @__PURE__ */ n.createElement(re, {
      size: (s = l.iconSize) != null ? s : "1.2rem"
    }));
  } };
}, Ye = ["xs", "sm", "md", "lg", "xl"], Ke = n.forwardRef((e, t) => {
  var k;
  const { primary: r } = R(), i = x(), a = u(() => e.expansion ? typeof e.expansion == "boolean" ? e.expansion === !0 ? "expanded" : "collapsed" : e.expansion.initialState ? "expanded" : "collapsed" : "expanded", [e.expansion]), { expanded: c, setExpanded: l, hasChanged: o, ExpandButton: s } = Ve(a);
  w();
  const d = u(() => e.subtitle || e.title ? e.action || e.expansion ? "apart" : "left" : e.action || e.expansion ? "right" : "apart", [e.action, e.subtitle, e.title, e.expansion]), h = u(() => {
    var C;
    const m = (C = e.style) == null ? void 0 : C.backgroundColor, y = i.colorScheme === "dark" ? i.colors.dark : i.colors.gray;
    return e.elevation === 0 ? m != null ? m : y[i.colorScheme === "dark" ? 8 : 0] : e.elevation === 2 ? m != null ? m : y[i.colorScheme === "dark" ? 6 : 0] : e.elevation === 3 ? m != null ? m : y[i.colorScheme === "dark" ? 5 : 0] : e.elevation === 4 ? m != null ? m : y[i.colorScheme === "dark" ? 4 : 0] : (m != null ? m : i.colorScheme === "dark") ? y[7] : i.white;
  }, [e.elevation, i, e.style]);
  return z(() => {
    var m;
    typeof e.expansion == "boolean" || o || ((m = e.expansion) == null ? void 0 : m.initialState) !== void 0 && l(e.expansion.initialState === "expanded");
  }, [e.expansion]), /* @__PURE__ */ n.createElement(ze, {
    ref: t,
    shadow: Ye[(k = e.elevation) != null ? k : 0],
    radius: e.radius,
    style: e.style ? { ...e.style, backgroundColor: h } : { width: "100%", backgroundColor: h }
  }, (e.title || e.subtitle || e.action || e.expansion) && /* @__PURE__ */ n.createElement(T, {
    align: "flex-start",
    position: d,
    noWrap: !0,
    style: { gap: "0.2rem" }
  }, (e.title || e.subtitle) && /* @__PURE__ */ n.createElement(J, {
    style: { gap: "0.2rem", flexWrap: "wrap" }
  }, typeof e.title == "string" && /* @__PURE__ */ n.createElement(q, {
    order: 4,
    style: { color: r }
  }, e.title), typeof e.title != "string" && /* @__PURE__ */ n.createElement(n.Fragment, null, e.title), typeof e.subtitle == "string" && /* @__PURE__ */ n.createElement(B, {
    size: "sm"
  }, e.subtitle), typeof e.subtitle != "string" && /* @__PURE__ */ n.createElement(n.Fragment, null, e.subtitle)), (e.action || e.expansion) && /* @__PURE__ */ n.createElement(T, {
    style: { gap: "0.2rem" }
  }, e.action, e.expansion && /* @__PURE__ */ n.createElement(s, {
    className: typeof e.expansion == "boolean" ? void 0 : e.expansion.className,
    color: typeof e.expansion == "boolean" ? "primary" : e.expansion.color,
    iconSize: typeof e.expansion == "boolean" ? void 0 : e.expansion.size,
    radius: typeof e.expansion == "boolean" ? void 0 : e.expansion.radius,
    size: typeof e.expansion == "boolean" ? void 0 : e.expansion.size,
    style: typeof e.expansion == "boolean" ? void 0 : e.expansion.style,
    variant: typeof e.expansion == "boolean" ? void 0 : e.expansion.variant
  }))), /* @__PURE__ */ n.createElement(Q, {
    mode: "sync"
  }, /* @__PURE__ */ n.createElement(A.div, {
    key: String(c),
    initial: { opacity: 0, height: 0 },
    animate: { opacity: 1, height: "auto" },
    exit: { opacity: 0, height: 0 },
    transition: { duration: 0.4 }
  }, (!e.expansion || c) && /* @__PURE__ */ n.createElement(n.Fragment, null, e.children))));
});
Ke.displayName = "ThemedCard";
const lt = () => {
  const e = w();
  if (!e)
    throw new Error("useNotify must be within a MantineUIThemeProvider");
  const t = (o) => o === "error" ? e.colors.error : o === "info" || o === "loading" ? e.colors.info : o === "success" ? e.colors.success : e.colors.brand, r = (o) => {
    if (o === "error")
      return e.notify.icons.error;
    if (o === "info")
      return e.notify.icons.info;
    if (o === "success")
      return e.notify.icons.success;
  }, i = (o, s) => {
    let d = e.notify.messageWrappers;
    return typeof s == "string" ? o === "error" && d.error ? d.error(s) : o === "info" && d.info ? d.info(s) : o === "loading" && d.loading ? d.loading(s) : o === "success" && d.success ? d.success(s) : /* @__PURE__ */ n.createElement(n.Fragment, null, S(s)) : s;
  }, a = (o) => Pe(o), c = (o, s, d, h) => {
    De({
      id: o,
      title: `${s.charAt(0).toUpperCase()}${s.slice(1)}`,
      message: i(s, d),
      color: t(s),
      icon: r(s),
      disallowClose: s === "loading",
      loading: s === "loading",
      autoClose: !h
    });
  };
  return (o, s, d) => {
    let h = Re();
    return Me({
      id: h,
      title: `${o.charAt(0).toUpperCase()}${o.slice(1)}`,
      message: i(o, s),
      color: t(o),
      icon: r(o),
      disallowClose: o === "loading",
      loading: o === "loading",
      autoClose: d !== !0
    }), {
      id: h,
      dismiss: function() {
        a(this.id);
      },
      update: function(k, m, y) {
        c(this.id, k, m, y);
      }
    };
  };
}, f = (e, t, r) => t === "blue" ? e.colors.blue[r] : t === "red" ? e.colors.red[r] : t === "cyan" ? e.colors.cyan[r] : t === "dark" ? e.colors.dark[r] : t === "grape" ? e.colors.grape[r] : t === "gray" ? e.colors.gray[r] : t === "green" ? e.colors.green[r] : t === "lime" ? e.colors.lime[r] : t === "indigo" ? e.colors.indigo[r] : t === "orange" ? e.colors.orange[r] : t === "pink" ? e.colors.pink[r] : t === "teal" ? e.colors.teal[r] : t === "violet" ? e.colors.violet[r] : t === "yellow" ? e.colors.yellow[r] : e.colors.blue[r], ct = () => {
  const e = x(), t = w(), r = u(() => {
    if (!t)
      return { ...N };
    if (!e)
      return { ...N };
    const i = e.colorScheme === "dark" ? 5 : 7;
    return {
      brand: { from: f(e, t.gradients.brand.from, i), to: f(e, t.gradients.brand.to, i) },
      error: { from: f(e, t.gradients.error.from, i), to: f(e, t.gradients.error.to, i) },
      info: { from: f(e, t.gradients.info.from, i), to: f(e, t.gradients.info.to, i) },
      primary: { from: f(e, t.gradients.primary.from, i), to: f(e, t.gradients.primary.to, i) },
      secondary: { from: f(e, t.gradients.secondary.from, i), to: f(e, t.gradients.secondary.to, i) },
      success: { from: f(e, t.gradients.success.from, i), to: f(e, t.gradients.success.to, i) },
      warn: { from: f(e, t.gradients.warn.from, i), to: f(e, t.gradients.warn.to, i) }
    };
  }, [e, t]);
  if (!t)
    throw new Error("useThemeColors must be used within a MantineUIThemeProvider");
  return r;
};
export {
  nt as AppContainer,
  ae as MantineUIThemeContextInfo,
  tt as MantineUIThemeProvider,
  rt as MotionDiv,
  it as NavItem,
  at as NavSection,
  ot as StackGroup,
  ce as ThemedActionIcon,
  _e as ThemedButton,
  Ke as ThemedCard,
  le as ThemedIcon,
  M as useDeviceSize,
  Ve as useExpansion,
  w as useMantineUITheme,
  lt as useNotify,
  R as useThemeColors,
  ct as useThemeGradients
};
