import { ButtonProps } from '@mantine/core';
import React from 'react';
import { ThemeColor } from '../types';
interface Props extends ButtonProps {
    children: React.ReactNode;
    color: ThemeColor;
    disabled?: boolean;
    tooltip?: React.ReactNode;
    onClick(): void | Promise<void>;
}
declare const ThemedButton: React.ForwardRefExoticComponent<Props & React.RefAttributes<HTMLButtonElement | null>>;
export default ThemedButton;
