import { MantineNumberSize } from '@mantine/core';
import React from 'react';
import { ExpansionProps } from '../types';
declare type Props = {
    action?: React.ReactNode;
    children: React.ReactNode;
    elevation?: 0 | 1 | 2 | 3 | 4;
    expansion?: boolean | ExpansionProps;
    radius?: MantineNumberSize;
    subtitle?: React.ReactNode;
    title?: React.ReactNode;
    style?: React.CSSProperties;
};
declare const ThemedCard: React.ForwardRefExoticComponent<Props & React.RefAttributes<HTMLDivElement>>;
export default ThemedCard;
