import { LoaderProps, MantineNumberSize, ThemeIconVariant } from '@mantine/core';
import React from 'react';
import { ThemeColor } from '../types';
declare type Props = {
    children: React.ReactNode;
    className?: string;
    color: ThemeColor;
    disabled?: boolean;
    loading?: boolean;
    loaderProps?: LoaderProps;
    radius?: MantineNumberSize;
    size?: MantineNumberSize;
    style?: React.CSSProperties;
    tooltip?: React.ReactNode;
    variant?: ThemeIconVariant;
};
declare const ThemedIcon: React.ForwardRefExoticComponent<Props & React.RefAttributes<HTMLDivElement | null>>;
export default ThemedIcon;
