import React from "react";
import { NotifyType } from "../types";
export declare type NotifyReturn = {
    id: string;
    dismiss(): void | Promise<void>;
    update(type: NotifyType, message: React.ReactNode, persist?: boolean): void | Promise<void>;
};
export declare const useNotify: () => ((type: NotifyType, message: React.ReactNode, persist?: boolean) => NotifyReturn) | undefined;
